# 更新日志

## v1.8.0

此版本将Erlang更新为OTP22版，并将GCC从7.3.0版更新为8.3.0版。
有关更多信息，请参阅nerves系统和工具链发行说明。
* 增强
  * 在Linux内核中启用基于源代码的路由以支持 [vintage_net](https://github.com/nerves-networking/vintage_net)

## v1.7.0

这个版本将Linux内核提升到4.19.25。这一变化影响了WiFi管理数据库如何加载到内核中。内核没有像以前那样将它构建到内核中，而是按需加载它。这要求将所有WiFi驱动程序构建为内核模块，以便在安装根文件系统之前不加载数据库。如果您创建了一个自定义系统，并且看到无法加载管理数据库的引导错误，那么这就是问题所在。

## v1.6.3

* 更新依赖关系
  * [nerves_system_br v1.6.8](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.6.8)
  * Erlang 21.2.6
  * 融合Upstream系统
  
## v1.6.1

* 更新依赖关系
  * Python 3
  * OpenCv 3
  * [nerves_system_br v1.6.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.6.5)
  * Erlang 21.2.2
  * boardid 1.5.2
  * erlinit 1.4.9
  * OpenSSL 1.1.1a
  * 带有树莓派补丁的Linux 4.14.89
  
* 添加的依赖项
  * wpa_passphrase
  * libp11 0.4.9

* 增强功能
  * 已将boardid config从erlinit.config内部移动到/etc/boardid.config
  * 将gpiomem编译到Linux内核中
  * 启用pstore，这是一个内存缓冲区，可以在意外重新启动时捕获日志、内核OOP和其他信息。缓冲区可以在下一次启动时恢复到可以检查的位置。

## 1.5.1

应用Larsen补丁

* 更新依赖关系
* 启用 `dnsmasq`
* 在内核中启用更多的串行驱动程序。
* 在内核中启用V4L驱动程序
* 启用Python 2
* 启用OpenCV2.4